<?php
	require_once '../Common.php';
	
	$publicKey = $_POST['publicKey'];
	$privateKey = $_POST['privateKey'];
	$text = $_POST['text'];
	$signature = $_POST['signature'];

	$signature = base64_decode($signature);
	
	$publicKeyRes = openssl_pkey_get_public($publicKey);
	$result = openssl_verify($text, $signature, $publicKeyRes, OPENSSL_ALGO_SHA512);
	if($result != 1) {
		throw new \Exception('Could not verify signature.');
	}
?>
<html>
	<head>
		<title>Encrypt Return</title>
	</head>
	<body>
		<h1>This is <b>PHP</b></h1>
			<table>
				<tr>
					<td>Public Key</td>
					<td>
						<textarea name="publicKey" rows="10" cols="100"><?php echo $publicKey ?></textarea>
					</td>
				</tr>
				
				<tr>
					<td>Private Key</td>
					<td>
						<textarea name="privateKey" rows="10" cols="100"><?php echo $privateKey ?></textarea>
					</td>
				</tr>
				
				<tr>
					<td>Text</td>
					<td>
						<input name="encrypted" size="100" value="<?php echo $text ?>" />
					</td>
				</tr>
				
				<tr>
					<td>Verified Signature</td>
					<td>
						<input name="text" size="100" value="<?php echo base64_encode($signature) ?>" />
					</td>
				</tr>
			</table>
		<h4>If you see this page, you have successfully hashed and verified hashes back and forth between PHP and ASP.NET!!!</h4>
	</body>
</html>