<?php
	require_once '../Common.php';
	
	$publicKey = $_POST['publicKey'];
	$privateKey = $_POST['privateKey'];
	$text = $_POST['text'];

	$privateKeyRes = openssl_pkey_get_private($privateKey);
	$result = openssl_sign($text, $signature, $privateKeyRes, OPENSSL_ALGO_SHA512);
	if(!$result) {
		throw new \Exception('Could not hash text.');
	}

	$signature = base64_encode($signature);
	
	$submitUrl = Common::baseAspNetUrl . "Pages/HashReceive.aspx";
?>
<html>
	<head>
		<title>Hash Submit</title>
	</head>
	<body>
		<h1>This is <b>PHP</b></h1>
		<form id="form1" action="<?php echo $submitUrl ?>" method="POST">
			<input type="hidden" name="privateKey" value="<?php echo urlencode($privateKey) ?>" />
			<input type="hidden" name="publicKey" value="<?php echo urlencode($publicKey) ?>" />
			<input type="hidden" name="text" value="<?php echo urlencode($text) ?>" />
			<input type="hidden" name="signature" value="<?php echo urlencode($signature) ?>" />
		</form>
		
		<script type="text/javascript">
			document.getElementById("form1").submit();
		</script>
	</body>
</html>