<?php
	require_once '../Common.php';
	
	$generator = $_GET['generator'];
	if($generator == 'aspnet') {
		$json = Util\HttpHelper::downloadUrl(Common::baseAspNetUrl . "Handlers/KeyGenerator.ashx");
		$key = json_decode($json);
	} else {
		$key = Util\KeyGenerator::getKeyPair();
	}
?>
<html>
	<head>
		<title>Encrypt</title>
		
		<script type="text/javascript">
			function sendForEncrypt() {
				document.getElementById('form1').action = "EncryptSend.php";
			}

			function sendForHash() {
				document.getElementById('form1').action = "HashSend.php";
			}
		</script>
	</head>
	<body>
		<h1>This is <b>PHP</b></h1>
		<form id="form1" method="POST">
			<table>
				<tr>
					<td>Public Key</td>
					<td>
						<textarea name="publicKey" rows="10" cols="100"><?php echo $key->publicKey ?></textarea>
					</td>
				</tr>
				
				<tr>
					<td>Private Key</td>
					<td>
						<textarea name="privateKey" rows="10" cols="100"><?php echo $key->privateKey ?></textarea>
					</td>
				</tr>
				
				<tr>
					<td>Text To Send</td>
					<td>
						<input name="text" size="100" value="Hello World!" />
					</td>
				</tr>
				
				<tr>
					<td>Encrypt</td>
					<td>
						<input type="submit" value="Using Public Key" name="buttonEncryptPublic" onclick="javascript: sendForEncrypt()" />
					</td>
				</tr>
				
				<tr>
					<td>Hash</td>
					<td>
						<input type="submit" value="Using Private Key" name="buttonHashPrivate" onclick="javascript: sendForHash()" />
					</td>
				</tr>
			</table>
		</form>
	</body>
</html>