<?php
	require_once '../Common.php';
	
	$publicKey = $_POST['publicKey'];
	$privateKey = $_POST['privateKey'];
	$text = $_POST['text'];

	$publicKeyRes = openssl_pkey_get_public($publicKey);
	$result = openssl_public_encrypt($text, $encrypted, $publicKeyRes, OPENSSL_PKCS1_OAEP_PADDING);
	if(!$result) {
		throw new \Exception('Could not encrypt text.');
	}

	$encrypted = base64_encode($encrypted);
	
	$submitUrl = Common::baseAspNetUrl . "Pages/EncryptReceive.aspx";
?>
<html>
	<head>
		<title>Encrypt Submit</title>
	</head>
	<body>
		<h1>This is <b>PHP</b></h1>
		<form id="form1" action="<?php echo $submitUrl ?>" method="POST">
			<input type="hidden" name="privateKey" value="<?php echo urlencode($privateKey) ?>" />
			<input type="hidden" name="publicKey" value="<?php echo urlencode($publicKey) ?>" />
			<input type="hidden" name="text" value="<?php echo urlencode($text) ?>" />
			<input type="hidden" name="encrypted" value="<?php echo urlencode($encrypted) ?>" />
		</form>
		
		<script type="text/javascript">
			document.getElementById("form1").submit();
		</script>
	</body>
</html>